<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<div class="preview">

  <ng-container *ngFor="let block of appTextArrangements">

  <span *ngIf="block.type === 'text'" class="text"><!--
    -->{{block.value}}<!--
  --></span>

    <ng-container *ngIf="block.type === 'newline'"><!--
      --><br><!--
    --></ng-container>

    <div *ngIf="block.type === 'pagebreak'" class="page-break">
      <div class="page-break--line">
      </div>
      <span class="page-break--text">Seitenumbruch</span>
      <div class="page-break--line">
      </div>
    </div>

  </ng-container>

</div>
